import { defineComponent as r, openBlock as n, createElementBlock as c, normalizeClass as s, unref as e, normalizeStyle as m, createElementVNode as d, renderSlot as _ } from "vue";
import { useTheme as f } from "../../composables/useTheme.js";
const p = { name: "XTableHead" }, T = /* @__PURE__ */ r({
  ...p,
  setup(u) {
    const { styles: a, classes: t, className: l } = f("TableHead", {}, {});
    return (o, i) => (n(), c("thead", {
      class: s([e(l), e(t).thead]),
      style: m(e(a))
    }, [
      d("tr", {
        class: s(e(t).row)
      }, [
        _(o.$slots, "default")
      ], 2)
    ], 6));
  }
});
export {
  T as default
};
